<?php

namespace App\Http\Controllers;
use Codedge\Fpdf\Fpdf\Fpdf;
use DB;
use Carbon;
class pdfController extends Controller
{
    public function textConvert($text){
        return iconv('utf-8','iso-8859-2',$text);
    }

    public function createViewEquipment(){

        if(auth()->user() != null && auth()->user()->fireStationID != null ){
            $equipment = DB::table('equipment')->where("fireStationID", '=', auth()->user()->fireStationID)
                ->whereNull('deleted_at')->get();
        }

        $pdf = new FPDF();
        $pdf->AddPage();
        $pdf->AddFont('arialpl', '', 'arialpl.php');
        $pdf->AddFont('arialpl', 'B', 'arialplb.php');
        $pdf->SetFont('arialpl','B',16);
        $pdf->Cell(40,10,  $this->textConvert("5. Sprzęt na wyposażeniu jednostki:"));
        $pdf->Ln();
        $pdf->SetFillColor(152,152,152);
        $pdf->Cell(165,10, $this->textConvert("Nazwa sprzętu"), 1, 0, 'C', true);
        $pdf->Cell(25,10, $this->textConvert("Ilość"), 1, 0, 'C', true);
        $pdf->Ln();
        $pdf->SetFont('arialpl','',14);

        $fill = false;
        $pdf->SetFillColor(224,224,224);
        foreach( $equipment as $item){
            $text = $item->name." ".$item->parameter;
            $pdf->Cell(165,10,$this->textConvert($text), 1, 0, '', $fill);
            $pdf->Cell(25,10,$this->textConvert($item->amount), 1, 0, 'C', $fill);
            $pdf->Ln();

            $fill = !$fill;
        }

        $pdf->SetLeftMargin(140);
        $pdf->Ln();
        $pdf->Ln();
        $pdf->Cell(40,5,".........................................");
        $pdf->SetFont('arialpl','',10);
        $pdf->Ln();
        $pdf->Cell(60,5, "(podpis naczelnika OSP)", 0, 0, 'C');
        $pdf->Output();
        exit;
    }

    public function createViewDecoration(){

        $pdf = new FPDF();

        $pdf->AddFont('arialpl', '', 'arialpl.php');
        $pdf->AddFont('arialpl', 'B', 'arialplb.php');
        $pdf->AddPage();
        $pdf->SetFont('arialpl','B',16);
        $pdf->Cell(40,10,  $this->textConvert("5. Sprzęt na wyposażeniu jednostki:"));
        $pdf->Output();
        exit;
    }

    public function createViewFireFighters(){
        if(auth()->user() != null && auth()->user()->fireStationID != null ){
            $users = DB::table('users')->where("fireStationID", '=', auth()->user()->fireStationID)->get();
        }

        $mytime = Carbon\Carbon::now()->toDateString('Y-m-d');

        $pdf = new FPDF();
        $pdf->AddPage();
        $pdf->AddFont('arialpl', '', 'arialpl.php');
        $pdf->AddFont('arialpl', 'B', 'arialplb.php');
        $pdf->SetFont('arialpl','B',16);
        $pdf->Cell(200,10,  $this->textConvert("Wykaz strażaków na dzień: ".$mytime), 0, 0, 'C');
        $pdf->Ln();
        $pdf->SetFillColor(152,152,152);
        $pdf->Cell(60,10, $this->textConvert("Imię i Nazwisko"), 1, 0, 'C', true);
        $pdf->Cell(90,10, $this->textConvert("Email"), 1, 0, 'C', true);
        $pdf->Cell(40,10, $this->textConvert("Telefon"), 1, 0, 'C', true);
        $pdf->Ln();
        $pdf->SetFont('arialpl','',14);

        $fill = false;
        $pdf->SetFillColor(224,224,224);
        foreach( $users as $user){
            $text = $user->name." ".$user->surname;
            $pdf->Cell(60,10,$this->textConvert($text), 1, 0, 'C', $fill);
            $pdf->Cell(90,10,$this->textConvert($user->email), 1, 0, 'C', $fill);
            $pdf->Cell(40,10,$this->textConvert($user->phoneNumber), 1, 0, 'C', $fill);
            $pdf->Ln();

            $fill = !$fill;
        }

        $pdf->SetLeftMargin(140);
        $pdf->Ln();
        $pdf->Ln();
        $pdf->Cell(40,5,".........................................");
        $pdf->SetFont('arialpl','',10);
        $pdf->Ln();
        $pdf->Cell(60,5, "(podpis naczelnika OSP)", 0, 0, 'C');
        $pdf->Output();
        exit;
    }
}
